/* Note that a face is always defined as a set of nodes linked together in a clockwise manner */

import java.util.Vector;

public class Face 
{
  public Vector theFace;

  public Face(Vector nodes)
  {    
    theFace = nodes;
  }

  public String toString()
  {
    String outBuffer = new String("");

    for (int i=0;i<theFace.size();i++)
      outBuffer += theFace.elementAt(i).toString() + " ";

    return outBuffer;
  }

 
  public boolean inFace(Edge a)
  {
    int count = 0;
    Node one = a.GetFirstNode();
    Node two = a.GetSecondNode();
    
    for (int i=0; i<theFace.size() - 1 ; i++)
      {
	Node x = (Node)theFace.elementAt(i);
	if (x.equals(one))
	  count++;
	if (x.equals(two))
	  count++;
      }

    if (count == 2)
      return true;
    
    return false;
  }
  
}









